#include <continuity.h>
#include <http.h>

int my_handler(httpTtrans * t, lstTset * opts);

int my_handler(httpTtrans * t, lstTset * opts)
{
    const char *hello = "Hello World\n";

    assert(t != NULL);

    httpFset_status(t, 200, NULL);
    httpFstart_response(t);

    httpFwrite(t, hello, strlen(hello));

    /* we have served the request, so exit the pipeline */
    return STATUS_EXIT;
}
